Home

# Class goog.ui.VmlRoundedCorner

Class for rendering an imageless, VML-based rounded corner. Horizontal and/or vertical fillers are added if the radius of the rounded corner is less than the width and/or height of the containing element. The line is drawn as a single, continuous line, starting with the horizontal filler, then the arc, then finishing with the vertical filler. Do not instantiate this class directly. Instead, use goog.ui.ImagelessRoundedCorner.create().

extends goog.ui.AbstractImagelessRoundedCorner

Instance Method Summary
| `draw()` Renders the rounded corner.
| `drawBackground_(boolean clockwise)` Renders a 1-coordinate wide path, following the same path as the rounded corner, then going along the adjacent horizontal edge, then along the adjacent vertical edge, and back to the start of the rounded corner path.
| `extractShapeNode_() ⇒ ?Element` Helper method that extracts the 'shape' node from the private goog.graphics.VmlGraphics instance, sets the size to this.width_ and this.height_, and sets the position to (0, 0).
| `getElement() ⇒ !Element` Returns the underlying DOM element containing the rounded corner.
| `getEndAngle() ⇒ number` Returns the end angle of the arc for the rounded corner.
| `getStartAngle() ⇒ number` Returns the start angle of the arc for the rounded corner.

Static Method Summary
| `isShapeNode_(?Node node) ⇒ boolean` Indicates if the specified node is a 'shape' node.